"""API router module for v1 endpoints."""
from fastapi import APIRouter

from app.api.v1.endpoints import auth, users

api_router = APIRouter()

# Include routers from different endpoint modules
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])